Uploaded image for project: 'Titanium SDK/CLI'
  1. Titanium SDK/CLI
  2. TIMOB-28382

iOS: Requiring a native module errors when building with liveview

    Details

    • Type: Bug
    • Status: Closed
    • Priority: None
    • Resolution: Fixed
    • Affects Version/s: Release 10.0.0
    • Fix Version/s: Release 10.0.0
    • Component/s: CLI, iOS
    • Labels:
    • Sprint:
      2021 Sprint 5, 2021 Sprint 6

      Description

      Description

      When requiring a native module with liveview enabled it will error on startup with the below, Android does not error on startup however.

      [ERROR] TypeError: originalRequire is not a function. (In 'originalRequire(moduleId)', 'originalRequire' is undefined)
      [ERROR] File: app.js
      [ERROR] Line: 7728
      [ERROR] SourceId: undefined
      [ERROR] Backtrace:
      [ERROR]  undefined
      

      Description

      1. Build kitchensink-v2 to iOS with liveview enabled

      Actual

      Errors with above error on startup

      Expected

      Does not error

        Attachments

          Activity

            People

            • Assignee:
              eharris Ewan Harris
              Reporter:
              eharris Ewan Harris
              Reviewer:
              Christopher Williams
              Tester:
              Satyam Sekhri
            • Watchers:
              3 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved:

                Backbone Issue Sync

                • Backbone Issue Sync is enabled for your project, but we do not have any synchronization info for this issue.

                  Git Integration